package cn.iocoder.yudao.module.llm.dal.mysql.modelassesstaskmanualbackup;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.llm.dal.dataobject.modelassesstaskmanualbackup.ModelAssessTaskManualBackupDO;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.llm.controller.admin.modelassesstaskmanualbackup.vo.*;
import org.apache.ibatis.annotations.Update;

/**
 * 人工评估备份 Mapper
 *
 * @author 华大大模型
 */
@Mapper
public interface ModelAssessTaskManualBackupMapper extends BaseMapperX<ModelAssessTaskManualBackupDO> {

    default PageResult<ModelAssessTaskManualBackupDO> selectPage(ModelAssessTaskManualBackupPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<ModelAssessTaskManualBackupDO>()
                .eqIfPresent(ModelAssessTaskManualBackupDO::getSrcId, reqVO.getSrcId())
                .likeIfPresent(ModelAssessTaskManualBackupDO::getTaskName, reqVO.getTaskName())
                .eqIfPresent(ModelAssessTaskManualBackupDO::getTaskInfro, reqVO.getTaskInfro())
                .eqIfPresent(ModelAssessTaskManualBackupDO::getCpuType, reqVO.getCpuType())
                .eqIfPresent(ModelAssessTaskManualBackupDO::getModelService, reqVO.getModelService())
                .eqIfPresent(ModelAssessTaskManualBackupDO::getDataset, reqVO.getDataset())
                .betweenIfPresent(ModelAssessTaskManualBackupDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(ModelAssessTaskManualBackupDO::getStatus, reqVO.getStatus())
                .eqIfPresent(ModelAssessTaskManualBackupDO::getProgress, reqVO.getProgress())
                .orderByDesc(ModelAssessTaskManualBackupDO::getId));
    }
    @Delete("delete from llm_model_assess_task_manual_backup where id = #{id}")
    void deleteTrue(Long id);
}